package com.rxida.xilinedu.sys.web;

import com.rxida.xilinedu.sys.common.JsonResult;
import com.rxida.xilinedu.sys.entity.User;
import com.rxida.xilinedu.sys.service.UserService;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.subject.Subject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/user")
@CrossOrigin
public class UserController {
    @Autowired
    private UserService userService;

    @PostMapping("/allList")
    public List<User> findAll() {
        return userService.findAll();
    }

    @PostMapping("/list")
    public List<User> findList(User user) {
        return userService.findList(user);
    }

    @PostMapping("/save")
    public JsonResult save(User user) {
        userService.save(user);
        JsonResult result = new JsonResult();
        return result;
    }

    @RequestMapping("/info")
    public JsonResult info() {
        Subject subject = SecurityUtils.getSubject();
        User user = (User) subject.getPrincipal();
        JsonResult result = new JsonResult();
        result.setData(user);
        result.setCode(JsonResult.SUCCESS);
        result.setMsg("success");
        return result;
    }

    @RequestMapping("/infoById")
    public User infoById(User user) {
        return userService.get(user);
    }
}
